/********************************** (C) COPYRIGHT *******************************
 * File Name          : ch9431_cmd.h
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2024/07/11
 * Description        : This file contains ch9431 command example.
*********************************************************************************
* Copyright (c) 2023 Nanjing Qinheng Microelectronics Co., Ltd.
* Attention: This software (modified or not) and binary are used for
* microcontroller manufactured by Nanjing Qinheng Microelectronics.
*******************************************************************************/
#ifndef _CH9431_SPI_CAN_H_
#define _CH9431_SPI_CAN_H_

#include "ch9431_port.h"

extern void CH9431_Reset(void);

extern void CH9431_HardReset(void);

extern void CH9431_WriteByte(uint8_t addr, uint8_t value);

extern uint8_t CH9431_ReadByte(uint8_t addr);

extern void CH9431_Read_RX_STATUS(rx_status_t *rx_status);

extern void CH9431_Read_STATUS(rd_status_t *rd_status);

extern void CH9431_RTS(FunctionalState txb0, FunctionalState txb1, FunctionalState txb2);

extern void CH9431_LoadTX_ID(CH9431_LoadTX_ID_t opt, load_tx_id_t *tx_id);

extern void CH9431_LoadTX_Data(CH9431_LoadTX_DATA_t opt, load_tx_data_t *tx_data);

extern void CH9431_Read_RX_ID(CH9431_ReadRX_ID_t opt, read_rx_id_t *read_rx_id);

extern void CH9431_Read_RX_Data(CH9431_ReadRX_DATA_t opt, read_rx_data_t *read_rx_data);

extern void CH9431_BIT_Modify(uint8_t addr, uint8_t mask, uint8_t value);

extern void CH9431_getVerString(uint8_t *ver_str);

extern uint8_t CH9431_EnterIAP(uint32_t rand);

extern void CH9431_CS_Wakeup(void);

#endif /* _CH9431_SPI_CAN_H_ */


