/********************************** (C) COPYRIGHT *******************************
 * File Name          : ch32v20x_it.c
 * Author             : WCH
 * Version            : V1.0.0
 * Date               : 2021/06/06
 * Description        : Main Interrupt Service Routines.
*********************************************************************************
* Copyright (c) 2021 Nanjing Qinheng Microelectronics Co., Ltd.
* Attention: This software (modified or not) and binary are used for 
* microcontroller manufactured by Nanjing Qinheng Microelectronics.
*******************************************************************************/
#include "ch32v20x_it.h"

extern volatile uint8_t ch9431_int_sign, ch9431_rx0_sign, ch9431_rx1_sign;

void NMI_Handler(void) __attribute__((interrupt("WCH-Interrupt-fast")));
void HardFault_Handler(void) __attribute__((interrupt("WCH-Interrupt-fast")));

/*********************************************************************
 * @fn      NMI_Handler
 *
 * @brief   This function handles NMI exception.
 *
 * @return  none
 */
void NMI_Handler(void)
{
}

/*********************************************************************
 * @fn      HardFault_Handler
 *
 * @brief   This function handles Hard Fault exception.
 *
 * @return  none
 */
void HardFault_Handler(void)
{
    printf("HardFault\n");
  while (1)
  {
  }
}

/*********************************************************************
 * @fn      EXTI15_10_IRQHandler
 *
 * @brief   This function EXTI15 -> EXTI_Line10 interrupt.
 *
 * @return  none
 */
void EXTI15_10_IRQHandler(void) __attribute__((interrupt("WCH-Interrupt-fast")));
void EXTI15_10_IRQHandler(void)
{
    if(EXTI_GetITStatus(EXTI_Line10) != RESET)
    {
      ch9431_int_sign = 1;
      EXTI->INTFR = EXTI_Line10;
    }
    if(EXTI_GetITStatus(EXTI_Line11) != RESET)
    {
      ch9431_rx0_sign = 1;
      EXTI->INTFR = EXTI_Line11;
    }
    if(EXTI_GetITStatus(EXTI_Line12) != RESET)
    {
      ch9431_rx1_sign = 1;
      EXTI->INTFR = EXTI_Line12;
    }
}
